function test_annif(j1,m1,j2,m2)

  implicit none

  ! Variables en argument
  integer, intent(in) :: j1,m1,j2,m2
  ! Declaration de la fonction
  logical :: test_annif

  ! Instructions
  test_annif = .false.
  if ( j1==j2 .and. m1==m2 ) then
    test_annif = .true.
  end if

end function test_annif

!-----------------------------------------------
subroutine calcul_nb_lignes(nom_fichier,nlignes)

  implicit none

  ! Variables en argument
  character (len=15), intent(in) :: nom_fichier
  integer, intent(out) :: nlignes
  ! Variables locales
  integer :: ierr    ! =0 si ok, /=0 sinon

  ! Instructions
  open(10,file=nom_fichier,iostat=ierr)
  nlignes = 0
  do while (ierr==0)
    read(10,*,iostat=ierr)
    if (ierr==0) then
       nlignes = nlignes + 1
    end if
  end do
  close(10)

end subroutine calcul_nb_lignes


!----------------------------------------------------
subroutine qui_annif(nom_fichier,n_amis,date_du_jour)

  implicit none

  ! Definition de la structure
  type personne
    integer :: num
    character (len=30) :: nom
    integer, dimension(3) :: jma
  end type personne

  ! Variables en argument
  character (len=15), intent(in) :: nom_fichier
  integer, intent(in) :: n_amis
  integer, dimension(3), intent(in) :: date_du_jour

  ! Variables locales
  type(personne) :: p
  integer :: l
  logical :: test_annif

  ! Instructions
  ! Ouverture du fichier de la base de donnees
  open(10,file=nom_fichier)
  read(10,*) 
  read(10,*) 
  ! Balayage de la liste des amis
  do l = 1,n_amis   
    read(10,*)p%num,p%nom,p%jma(2),p%jma(1),p%jma(3)
    ! recherche de la correspondance de jour et de mois
    if ( test_annif(p%jma(1),p%jma(2),date_du_jour(1),date_du_jour(2)) .eqv. .true. ) then
      print*,"Aujourd'hui c'est l'anniversaire de ",p%nom, &
             " qui a ",date_du_jour(3)-p%jma(3)," ans"
    end if
  end do
  close(10)

end subroutine qui_annif




